# OpenLayers.Format.CSWGetRecords.v2_0_2

A format for creating CSWGetRecords v2.0.2 transactions. Create a new instance with the OpenLayers.Format.CSWGetRecords.v2_0_2 constructor.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.CSWGetRecords.v2_0_2 | A format for creating CSWGetRecords v2.0.2 transactions.
Properties |
namespaces | {Object} Mapping of namespace aliases to namespace URIs.
defaultPrefix | {String} The default prefix (used by Format.XML).
version | {String} CSW version number.
schemaLocation | {String} http://www.opengis.net/cat/csw/2.0.2 http://schemas.opengis.net/csw/2.0.2/CSW-discovery.xsd
requestId | {String} Value of the requestId attribute of the GetRecords element.
resultType | {String} Value of the resultType attribute of the GetRecords element, specifies the result type in the GetRecords response, “hits” is the default.
outputFormat | {String} Value of the outputFormat attribute of the GetRecords element, specifies the format of the GetRecords response, “application/xml” is the default.
outputSchema | {String} Value of the outputSchema attribute of the GetRecords element, specifies the schema of the GetRecords response.
startPosition | {String} Value of the startPosition attribute of the GetRecords element, specifies the start position (offset+1) for the GetRecords response, 1 is the default.
maxRecords | {String} Value of the maxRecords attribute of the GetRecords element, specifies the maximum number of records in the GetRecords response, 10 is the default.
DistributedSearch | {String} Value of the csw:DistributedSearch element, used when writing a csw:GetRecords document.
ResponseHandler | {Array({String})} Values of the csw:ResponseHandler elements, used when writting a csw:GetRecords document.
Query | {String} Value of the csw:Query element, used when writing a csw:GetRecords document.
regExes | Compiled regular expressions for manipulating strings.
Constructor |
OpenLayers.Format.CSWGetRecords.v2_0_2 | A class for parsing and generating CSWGetRecords v2.0.2 transactions.
Functions and Properties |
read | Parse the response from a GetRecords request.
readers | Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name.
write | Given an configuration js object, write a CSWGetRecords request.
writers | As a compliment to the readers property, this structure contains public writing functions grouped by namespace alias and named like the node names they produce.

### Properties

### namespaces

{Object} Mapping of namespace aliases to namespace URIs.

### defaultPrefix

{String} The default prefix (used by Format.XML).

### version

{String} CSW version number.

### schemaLocation

{String} http://www.opengis.net/cat/csw/2.0.2 http://schemas.opengis.net/csw/2.0.2/CSW-discovery.xsd

### requestId

{String} Value of the requestId attribute of the GetRecords element.

### resultType

{String} Value of the resultType attribute of the GetRecords element, specifies the result type in the GetRecords response, “hits” is the default.

### outputFormat

{String} Value of the outputFormat attribute of the GetRecords element, specifies the format of the GetRecords response, “application/xml” is the default.

### outputSchema

{String} Value of the outputSchema attribute of the GetRecords element, specifies the schema of the GetRecords response.

### startPosition

{String} Value of the startPosition attribute of the GetRecords element, specifies the start position (offset+1) for the GetRecords response, 1 is the default.

### maxRecords

{String} Value of the maxRecords attribute of the GetRecords element, specifies the maximum number of records in the GetRecords response, 10 is the default.

### DistributedSearch

{String} Value of the csw:DistributedSearch element, used when writing a csw:GetRecords document.

### ResponseHandler

{Array({String})} Values of the csw:ResponseHandler elements, used when writting a csw:GetRecords document.

### Query

{String} Value of the csw:Query element, used when writing a csw:GetRecords document.

### regExes

Compiled regular expressions for manipulating strings.

### Constructor

### OpenLayers.Format.CSWGetRecords.v2_0_2

A class for parsing and generating CSWGetRecords v2.0.2 transactions.

#### Parameters

options | {Object} Optional object whose properties will be set on the instance.

#### Valid options properties (documented as class properties)

- requestId
- resultType
- outputFormat
- outputSchema
- startPosition
- maxRecords
- DistributedSearch
- ResponseHandler
- Query

### Functions and Properties

### read

> read: function( | data | )

Parse the response from a GetRecords request.

### readers

Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name. The function will be applied in the scope of this parser with two arguments: the node being read and a context object passed from the parent.

### write

> write: function( | options | )

Given an configuration js object, write a CSWGetRecords request.

#### Parameters

options | {Object} A object mapping the request.

#### Returns

{String} A serialized CSWGetRecords request.

### writers

As a compliment to the readers property, this structure contains public writing functions grouped by namespace alias and named like the node names they produce.

> read: function( | data | )

Parse the response from a GetRecords request.

> write: function( | options | )

Given an configuration js object, write a CSWGetRecords request.
A class for parsing and generating CSWGetRecords v2.0.2 transactions.
Read and write XML.
Close